Package org.optaplanner.core.impl.partitionedsearch.queue

## Enum PartitionChangedEvent.PartitionChangedEventType

- java.lang.Object
- - java.lang.Enum<PartitionChangedEvent.PartitionChangedEventType>
  - - org.optaplanner.core.impl.partitionedsearch.queue.PartitionChangedEvent.PartitionChangedEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PartitionChangedEvent.PartitionChangedEventType>`
  Enclosing class:
    PartitionChangedEvent<Solution_>

      public static enum PartitionChangedEvent.PartitionChangedEventType
      extends Enum<PartitionChangedEvent.PartitionChangedEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXCEPTION_THROWN` |
    `FINISHED` |
    `MOVE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PartitionChangedEvent.PartitionChangedEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PartitionChangedEvent.PartitionChangedEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE

          public static final PartitionChangedEvent.PartitionChangedEventType MOVE

    - #### FINISHED

          public static final PartitionChangedEvent.PartitionChangedEventType FINISHED

    - #### EXCEPTION_THROWN

          public static final PartitionChangedEvent.PartitionChangedEventType EXCEPTION_THROWN

  - ### Method Detail

    - #### values

          public static PartitionChangedEvent.PartitionChangedEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PartitionChangedEvent.PartitionChangedEventType c : PartitionChangedEvent.PartitionChangedEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PartitionChangedEvent.PartitionChangedEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null